Loading...
Searching...
No Matches
nanoflann C++ library for KD-trees

## Topics

| Result set classes
| Load/save auxiliary functions
| Metric (distance) classes
| Parameter structs
| Memory allocation
| Auxiliary metaprogramming stuff
| KD-tree classes and adaptors

## Classes

struct | nanoflann::has_resize< T, typename >
struct | nanoflann::has_resize< T, decltype((void) std::declval< T >().resize(1), 0)>
struct | nanoflann::has_assign< T, typename >
struct | nanoflann::has_assign< T, decltype((void) std::declval< T >().assign(1, 0), 0)>
struct | nanoflann::IndexDist_Sorter
struct | nanoflann::ResultItem< IndexType, DistanceType >
class | nanoflann::KDTreeBaseClass< Derived, Distance, DatasetAdaptor, DIM, index_t >

## Functions

template<typename T>
constexpr T | nanoflann::pi_const ()
template<typename Container>
std::enable_if< has_resize< Container >::value, void >::type | nanoflann::resize (Container &c, const size_t nElements)
template<typename Container, typename T>
std::enable_if< has_assign< Container >::value, void >::type | nanoflann::assign (Container &c, const size_t nElements, const T &value)

## Detailed Description

## Function Documentation

## assign()

template<typename Container, typename T>

std::enable_if< has_assign< Container >::value, void >::type nanoflann::assign | ( | Container & | c,
|  | const size_t | nElements,
|  | const T & | value )

inline

Free function to assign to a container

## pi_const()

template<typename T>

T nanoflann::pi_const | ( |  | ) |

constexpr

the PI constant (required to avoid MSVC missing symbols)

## resize()

template<typename Container>

std::enable_if< has_resize< Container >::value, void >::type nanoflann::resize | ( | Container & | c,
|  | const size_t | nElements )

inline

Free function to resize a resizable object